#include <string.h>

#include "utility.hpp"


void removeChars( const char* chars, string* s )
{
  string::size_type i = s->find_first_of( chars );

  while( i != string::npos )
  {
    s->erase( i, 1 );
    i = s->find_first_of( chars, i );
  }
}


void replaceChars( const char* chars, const char* with, string* s )
{
  string::size_type i = s->find_first_of( chars );

  while( i != string::npos )
  {
    s->erase( i, 1 );

    s->insert( i, with );

    i = s->find_first_of( chars, i + strlen( with ) );
  }
}


void makeLower( string* s )
{
  string lowered;

  for( int i = 0; i < s->size(); ++i )
  {
    char c = s->at( i );

    if( isupper( c ) )
    {
      lowered.append( 1, tolower( c ) );
    } else {
      lowered.append( 1, c );
    }
  }

  s->assign( lowered );
}
